* GETGRADE.CMD




STORE "  " TO MGRADE
IF MTOTAL = 999.00
   STORE "NM" TO MGRADE
ENDIF
IF MTOTAL = APLUS .OR. MTOTAL > APLUS
   STORE "A+" TO MGRADE
ELSE
   IF MTOTAL = AA .OR. MTOTAL > AA
      STORE "A" TO MGRADE
   ELSE
      IF MTOTAL  = AMINUS .OR. MTOTAL > AMINUS
         STORE "A-" TO MGRADE
      ELSE
         IF MTOTAL = BPLUS .OR. MTOTAL > BPLUS
            STORE "B+" TO MGRADE
         ELSE
            IF MTOTAL = BB .OR. MTOTAL > BB
               STORE "B" TO MGRADE
            ELSE
               IF MTOTAL = BMINUS .OR. MTOTAL > BMINUS
                  STORE "B-" TO MGRADE
               ELSE
                  IF MTOTAL = CPLUS .OR. MTOTAL > CPLUS
                     STORE "C+" TO MGRADE
                  ELSE
                     IF MTOTAL = CC .OR. MTOTAL > CC
                        STORE "C" TO MGRADE
                     ELSE
                        IF MTOTAL = CMINUS .OR. MTOTAL > CMINUS
                           STORE "C-" TO MGRADE
                        ELSE
                           IF MTOTAL = DPLUS .OR. MTOTAL > DPLUS
                              STORE "D+" TO MGRADE
                           ELSE
                              IF MTOTAL = DD .OR. MTOTAL > DD
                                 STORE "D" TO MGRADE
                              ELSE
                                 IF MTOTAL = DMINUS .OR. MTOTAL > DMINUS
                                    STORE "D-" TO MGRADE
                                 ELSE
                                    IF MTOTAL < DMINUS
                                       STORE "F" TO MGRADE
                                     ELSE
                                       IF TOTAL = 999.00
                                          STORE  "NM" TO MGRADE
                                       ENDIF NM
                                    ENDIF F
                                 ENDIF D-
                              ENDIF D
                           ENDIF D+
                        ENDIF C-
                     ENDIF C
                  ENDIF C+
               ENDIF B-
            ENDIF B
         ENDIF B+
      ENDIF A-
   ENDIF A
ENDIF A+

RETURN

ADE
                  ELSE
                     IF MTOTAL = CC .OR. MTOTAL > CC
                        STORE "C" TO MGRADE
                     ELSE
                        IF MTOTAL = CMINUS .OR. MTOTAL > CMINUS
                           STORE "C-" TO MGRADE
                        ELSE
                           IF MTOTAL = DPLUS